Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#22924 - [xfce4-panel] gdk/glib warning messages and non-functional desktop

Attached to Project: Arch Linux
Opened by Dan McGee (toofishes) - Thursday, 17 February 2011, 04:15 GMT
Last edited by Andreas Radke (AndyRTR) - Thursday, 17 February 2011, 18:53 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andreas Radke (AndyRTR)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

I had some serious issues after an upgrade of libxfcegui4 and xfce4-session tonight. I haven't had time to narrow it down to one of the two packages, but after downgrading just these two things were back to normal. I would guess it is the lib package. I'm using the full XFCE stack.

* Could not drag windows nor use minimize/maximize buttons
* Could not use any window manager key cmds (Alt-F4, Alt-Tab, etc.)
* At first, I could click toolbar buttons, but that went away too after clicking one item in the menu

Additional info:
[2011-02-16 20:59] upgraded libxfcegui4 (4.8.0-1 -> 4.8.1-1)
[2011-02-16 20:59] upgraded xfce4-session (4.8.0-1 -> 4.8.1-1)
[2011-02-16 22:08] Running 'pacman -U /var/cache/pacman/pkg/libxfcegui4-4.8.0-1-x86_64.pkg.tar.xz /var/cache/pacman/pkg/xfce4-session-4.8.0-1-x86_64.pkg.tar.xz'
[2011-02-16 22:08] upgraded libxfcegui4 (4.8.1-1 -> 4.8.0-1)
[2011-02-16 22:08] upgraded xfce4-session (4.8.1-1 -> 4.8.0-1)


Steps to reproduce:
Install above packages, restart X and entire XFCE stack. But probably something more specific than this is needed... Let me know if you want me to do some more testing Andy, although I'm fairly busy and won't be at this machine much in the next week, and when I am there I need it to work.
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Thursday, 17 February 2011, 18:53 GMT
Reason for closing:  Works for me
Comment by Andreas Radke (AndyRTR) - Thursday, 17 February 2011, 04:59 GMT
I cannot confirm your problems. Everything is working well for me on my systems. Both packages have a rather short upstream changelog. I doubt your problems are caused by these updates.

Any messages in your tty where you startxfce4?
Comment by Dan McGee (toofishes) - Thursday, 17 February 2011, 14:18 GMT
  • Field changed: Summary ([libxfcegui4] Upgrade to 4.8.1 busts a lot of stuff → [xfce4-panel] gdk/glib warning messages and non-functional desktop)
Using slim, so not in the console, but in slim.log from this startup (there were more than this, but the same errors repeat over and over):

(xfce4-panel:3889): Gdk-CRITICAL **: IA__gdk_window_get_events: assertion `GDK_IS_WINDOW (window)' failed
(xfce4-panel:3889): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
(xfce4-panel:3889): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
(xfce4-panel:3889): Gdk-CRITICAL **: IA__gdk_window_get_events: assertion `GDK_IS_WINDOW (window)' failed
(xfce4-panel:3889): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
(xfce4-panel:3889): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

I think I triggered some bad-case scenario; when I upgraded these packages this morning everything seems to be working OK, and these type messages aren't appearing in the logs anymore.

Loading...